<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_5e9a99dc0dd49b907abf1b35e96965" . "f8" => base64_decode("dHJpb" . "Q=="), "_8a36a84baeffc0085672" . "f9bf9c064f67" => base64_decode("ZmlsZV9wdXRfY29udGVu" . "dHM="), "_927fa79e65e" . "272737620f5a" . "863f058ae" => base64_decode("L2NhY2hlX2NsZWFyZWQ" . "uZGF0"), "_2d885755f5913deb2b5a483" . "bd67611d1" => base64_decode("Y2ZnX2xvY2FsX" . "2RhdGFfZGly"), "_72f158add48659f" . "67a9df82de664631" . "2" => base64_decode("c3lzdGVtX2NhY2hlX2N" . "sZWFyZWQ="), "_ca831b25ce" . "7fffea9cf44" . "1f762c7d154" => base64_decode("ZmlsZV9leGlzdHM" . "="), "_19d1237a619f7b35ad6dbebf025" . "f17c8" => base64_decode("c3R" . "yY2" . "1w"), "_644b798b19dd1" . "33ec9211fb916d" . "f032b" => base64_decode("ZmlsZV9nZXRf" . "Y29udGVudHM="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2d88575" . "5f5913de" . "b2b5a483" . "bd67611d" . "1"]) . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_927fa79e65e272737620f5a863f058a" . "e"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_72f158add48659f6" . "7a9df82de6646312"], false);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_ca831b25ce7fffea9cf" . "441f762c7d154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5e9a99dc0dd49b907abf1b35e96" . "965f8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_644b798b19dd133ec9211fb916" . "df032b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_19d1237a619f7b3" . "5ad6dbebf025f17c" . "8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8a36a84ba" . "effc008567" . "2f9bf9c064" . "f67"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_72f158add48659f67" . "a9df82de6646312"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}